Bug 279461 - Update to latest version
Update to latest version
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: vala (Show other bugs)
7
All Linux
medium Severity low
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-05 17:15 EDT by Mads Villadsen
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-05 18:04:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Updated spec file to vala 0.1.3 (2.49 KB, text/x-rpm-spec)
2007-09-05 17:15 EDT, Mads Villadsen
no flags Details

  None (edit)
Description Mads Villadsen 2007-09-05 17:15:02 EDT
Description of problem:
vala is currently at 0.1.3. However the latest version available in fedora is 0.0.8.

I have attached an updated spec file for vala 0.1.3. I have also updated it in
regards to the new Licensing Guidelines.
Comment 1 Mads Villadsen 2007-09-05 17:15:02 EDT
Created attachment 187981 [details]
Updated spec file to vala 0.1.3
Comment 2 Michel Alexandre Salim 2007-09-05 17:43:04 EDT
I have an updated package built for -devel, will get it built for F7 as well as 
it appears to work fine. It has the VAPI tools enabled as well, but I forgot 
about the license changes -- thanks!
Comment 3 Michel Alexandre Salim 2007-09-05 18:04:03 EDT
License is LGPLv2.1, according to Vala's site, not LGPLv2+
Comment 4 Mads Villadsen 2007-09-06 15:24:06 EDT
I know that's what the site says but the headers attached to the source files
all include the "or (at your option) any later version" clause. So based on that
I still believe it should be LGPLv2+
Comment 5 Mads Villadsen 2007-09-06 15:24:59 EDT
Another thing I noticed is that the website address has changed, sp that should
be reflected in the spec file as well.
Comment 6 Michel Alexandre Salim 2007-09-06 15:59:51 EDT
Website address has been changed in the upcoming package. Will ask developers
about license (that would be LGPLv2.1+ then)
Comment 7 Fedora Update System 2007-09-07 13:17:25 EDT
vala-0.1.3-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.